Page MenuHomePhabricator

Replace legacy value tokens in Codex, OOUI and downstream; originated in WikimediaUI Base
Open, Needs TriagePublic

Description

Background

Coming from T330694, there have been 10 deprecated legacy tokens identified in Codex, originated in WikimediaUI Base.
Colors and line-height are at maximum quick exchanges with designers/volunteers on the affected products.

Exchanging the breakpoint variables on the other hand has a minimal potential for a change in user-interface presentation. For one, the tablet breakpoint is decreased by 80px, pushing lesser devices into a mobile phone only experience. Second, desktop and desktop-wide kicks in later, by 120px and 480px each.
Specifically latter change will need a closer look when testing the patches.

Note that these changes are an important predecessor to work on a unified Grid in our interface. Without having one reliable breakpoint source, we can't ensure consistent design expectations! See T337282: Implement Grid in Codex for the Codex part of it.

@background-color-primary--hover: rgba( 51, 102, 204, 0.1 ); /* Neither A nor B: unique value, no replacement suggested */
@color-base--subtle: #72777d; /* A and B: @color-subtle is #54595d; @color-placeholder and @color-disabled have the same value */
@width-breakpoint-tablet: 720px; /* A: @min-width-breakpoint-tablet is 640px */
@width-breakpoint-desktop: 1000px; /* A: @min-width-breakpoint-desktop is 1120px */
@width-breakpoint-desktop-wide: 1200px; /* A: @min-width-breakpoint-desktop-wide is 1680px */
@width-breakpoint-desktop-extrawide: 2000px; /* Neither A nor B: unique value, no replacement suggested */
@font-family-sans: 'Helvetica Neue', 'Helvetica', 'Liberation Sans', 'Arial', sans-serif; /* A: @font-family-sans--fallback is suggested but it's sans-serif */
@line-height-x-small: 1.4285714; /* A: @line-height-small is suggested but it's 1.5714285 */
@line-height-heading: 1.3; /* A: @line-height-xx-small is suggested but it's 1.375 */

Proposal

Find a design-approved way to remove the deprecated tokens that don't have a 1:1 replacement value-wise.

Acceptance criteria

  • Replace all mentioned tokens from codebases downstream
  • Remove all the tokens above from Codex

Note that MachineVision has been disabled on Commons, and it's planned to be archived (see T352884)

Details

SubjectRepoBranchLines +/-
mediawiki/coremaster+190 -114
design/codexmain+0 -16
design/codexmain+0 -8
operations/deployment-chartsmaster+1 -1
operations/deployment-chartsmaster+1 -1
operations/deployment-chartsmaster+1 -1
operations/deployment-chartsmaster+1 -1
mediawiki/libs/node-cssjanusmaster+357 -354
mediawiki/extensions/Translatemaster+1 -1
wikibase/termboxmaster+107 -1 K
mediawiki/extensions/MachineVisionmaster+2 -2
mediawiki/extensions/ContentTranslationmaster+3 K -3 K
mediawiki/extensions/RelatedArticlesmaster+1 -1
integration/docrootmaster+387 -335
performance/docrootmaster+714 -602
mediawiki/extensions/ContentTranslationmaster+3 -3
mediawiki/extensions/ContentTranslationmaster+296 -309
operations/mediawiki-configmaster+351 -301
mediawiki/coremaster+6 -6
mediawiki/skins/MinervaNeuemaster+5 -5
wikimedia/portalsmaster+125 -123
mediawiki/extensions/WikibaseLexememaster+45 -822
mediawiki/skins/MinervaNeuemaster+1 -3
mediawiki/extensions/WikibaseMediaInfomaster+38 -139
mediawiki/skins/Vectormaster+69 -69
mediawiki/extensions/ReportIncidentmaster+10 -10
mediawiki/extensions/CampaignEventsmaster+4 -4
mediawiki/extensions/Echomaster+2 -2
mediawiki/extensions/SearchVuemaster+1 -1
mediawiki/extensions/MachineVisionmaster+9 -9
mediawiki/extensions/TemplateWizardmaster+9 -10
mediawiki/extensions/MediaSearchmaster+10 -10
mediawiki/extensions/Kartographermaster+2 -2
mediawiki/extensions/DiscussionToolsmaster+3 -4
mediawiki/extensions/QuickSurveysmaster+1 -1
mediawiki/extensions/UploadWizardmaster+4 -4
mediawiki/extensions/WikiLambdamaster+16 -16
mediawiki/extensions/GrowthExperimentsmaster+5 -5
mediawiki/coremaster+1 -1
mediawiki/extensions/PageTriagemaster+1 -1
mediawiki/extensions/NearbyPagesmaster+10 -13
mediawiki/extensions/RelatedArticlesmaster+1 -1
mediawiki/extensions/MsUploadmaster+3 -2
mediawiki/skins/Vectormaster+3 -5
mediawiki/coremaster+967 -272
mediawiki/coremaster+911 -813
design/codexmain+4 -9
oojs/uimaster+1 -1
Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 968608 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/TemplateWizard@master] styles: Use new forward-facing breakpoint and color tokens

https://gerrit.wikimedia.org/r/968608

Change 968609 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/ReportIncident@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/968609

Change 968610 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/Kartographer@master] styles: Use new forward-facing breakpoint tokens

https://gerrit.wikimedia.org/r/968610

Change 968611 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/UploadWizard@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968611

Change 968003 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968003

Change 968622 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/WikibaseLexeme@master] styles: Replace Wikit variables with MediaWiki skin variables

https://gerrit.wikimedia.org/r/968622

Change 968627 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/WikiLambda@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968627

Change 968630 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/MachineVision@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968630

Change 968627 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968627

Change 968611 merged by jenkins-bot:

[mediawiki/extensions/UploadWizard@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968611

Change 968610 merged by jenkins-bot:

[mediawiki/extensions/Kartographer@master] styles: Use new forward-facing breakpoint tokens

https://gerrit.wikimedia.org/r/968610

Change 968606 merged by jenkins-bot:

[mediawiki/extensions/QuickSurveys@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/968606

Change 968556 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] styles: Use new forward-facing breakpoint tokens

https://gerrit.wikimedia.org/r/968556

Change 968396 merged by jenkins-bot:

[mediawiki/extensions/MediaSearch@master] styles: Replace deprecated Codex legacy tokens

https://gerrit.wikimedia.org/r/968396

Change 968608 merged by jenkins-bot:

[mediawiki/extensions/TemplateWizard@master] styles: Use new forward-facing breakpoint and color tokens

https://gerrit.wikimedia.org/r/968608

Change 968630 merged by jenkins-bot:

[mediawiki/extensions/MachineVision@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/968630

Change 968555 merged by jenkins-bot:

[mediawiki/extensions/Echo@master] styles: Use new forward-facing breakpoint tokens

https://gerrit.wikimedia.org/r/968555

Change 968607 merged by jenkins-bot:

[mediawiki/extensions/SearchVue@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/968607

Change 967966 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] styles: Use new forward-facing breakpoint variables

https://gerrit.wikimedia.org/r/967966

Change 968609 merged by jenkins-bot:

[mediawiki/extensions/ReportIncident@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/968609

Change 967132 merged by jenkins-bot:

[mediawiki/skins/Vector@master] styles: Replace legacy Vector breakpoint tokens where applicable

https://gerrit.wikimedia.org/r/967132

Change 967325 merged by jenkins-bot:

[mediawiki/extensions/WikibaseMediaInfo@master] styles, build: Remove WikimediaUI Base dependency and use Codex tokens

https://gerrit.wikimedia.org/r/967325

Change 968395 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] styles: Bring headings line-height value in line with Codex

https://gerrit.wikimedia.org/r/968395

Change 969232 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/ContentTranslation@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969232

Change 969311 had a related patch set uploaded (by VolkerE; author: VolkerE):

[wikimedia/portals@master] build, styles: Replace WikimediaUI Base vars with Codex design tokens

https://gerrit.wikimedia.org/r/969311

Change 969495 had a related patch set uploaded (by VolkerE; author: VolkerE):

[performance/docroot@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969495

Change 969496 had a related patch set uploaded (by VolkerE; author: VolkerE):

[integration/docroot@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969496

Change 968622 merged by jenkins-bot:

[mediawiki/extensions/WikibaseLexeme@master] styles: Replace Wikit variables with MediaWiki skin variables

https://gerrit.wikimedia.org/r/968622

Change 969311 merged by jenkins-bot:

[wikimedia/portals@master] build, styles: Replace WikimediaUI Base vars with Codex design tokens

https://gerrit.wikimedia.org/r/969311

Change 970480 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/core@master] mediawiki.special: Replace deprecated breakpoints

https://gerrit.wikimedia.org/r/970480

Change 970483 had a related patch set uploaded (by VolkerE; author: VolkerE):

[design/codex@main] tokens: Remove deprecated extrawide breakpoint token

https://gerrit.wikimedia.org/r/970483

Change 970910 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/skins/MinervaNeue@master] styles: Replace deprecated color token

https://gerrit.wikimedia.org/r/970910

Change 970910 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] styles: Replace deprecated color token

https://gerrit.wikimedia.org/r/970910

Change 970480 merged by jenkins-bot:

[mediawiki/core@master] mediawiki.special: Replace deprecated breakpoints

https://gerrit.wikimedia.org/r/970480

Change 971335 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/libs/node-cssjanus@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/971335

Change 971604 had a related patch set uploaded (by VolkerE; author: VolkerE):

[operations/mediawiki-config@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/971604

Change 972242 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/ContentTranslation@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972242

Change 971604 merged by jenkins-bot:

[operations/mediawiki-config@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/971604

Mentioned in SAL (#wikimedia-operations) [2023-11-07T22:09:25Z] <ladsgroup@deploy2002> Started scap: Backport for [[gerrit:971604|Replace WikimediaUI Base with Codex design tokens (T331403 T334934)]]

Mentioned in SAL (#wikimedia-operations) [2023-11-07T22:10:52Z] <ladsgroup@deploy2002> ladsgroup and volker-e: Backport for [[gerrit:971604|Replace WikimediaUI Base with Codex design tokens (T331403 T334934)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-11-07T22:18:41Z] <ladsgroup@deploy2002> Finished scap: Backport for [[gerrit:971604|Replace WikimediaUI Base with Codex design tokens (T331403 T334934)]] (duration: 09m 15s)

Change 972533 had a related patch set uploaded (by VolkerE; author: VolkerE):

[wikibase/termbox@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/972533

Change 969232 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969232

Change 972242 merged by jenkins-bot:

[mediawiki/extensions/ContentTranslation@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972242

Change 972898 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/RelatedArticles@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972898

Change 972899 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/Translate@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972899

Change 969495 merged by jenkins-bot:

[performance/docroot@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969495

Change 969496 merged by jenkins-bot:

[integration/docroot@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/969496

Mentioned in SAL (#wikimedia-operations) [2023-11-13T09:16:52Z] <hashar@deploy2002> Started deploy [integration/docroot@9bf1967]: Replace WikimediaUI Base with Codex design tokens T331403 T334934

Mentioned in SAL (#wikimedia-operations) [2023-11-13T09:16:59Z] <hashar@deploy2002> Finished deploy [integration/docroot@9bf1967]: Replace WikimediaUI Base with Codex design tokens T331403 T334934 (duration: 00m 07s)

Change 972898 merged by jenkins-bot:

[mediawiki/extensions/RelatedArticles@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972898

Change 973894 had a related patch set uploaded (by VolkerE; author: VolkerE):

[design/codex@main] tokens: Remove deprecated legacy tokens without replacement

https://gerrit.wikimedia.org/r/973894

Change 974293 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/MachineVision@master] styles: Use non-deprecated skin variables

https://gerrit.wikimedia.org/r/974293

Change 975779 had a related patch set uploaded (by Nik Gkountas; author: Nik Gkountas):

[mediawiki/extensions/ContentTranslation@master] CX3 Build 0.2.0+20231120

https://gerrit.wikimedia.org/r/975779

Change 975779 merged by Nik Gkountas:

[mediawiki/extensions/ContentTranslation@master] CX3 Build 0.2.0+20231124

https://gerrit.wikimedia.org/r/975779

Change 974293 abandoned by VolkerE:

[mediawiki/extensions/MachineVision@master] styles: Use non-deprecated skin variables

Reason:

Note that MachineVision has been disabled on Commons, and it's planned to be archived (see T352884)

https://gerrit.wikimedia.org/r/974293

Change 972533 merged by jenkins-bot:

[wikibase/termbox@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/972533

Change 972899 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] styles: Use new forward-facing breakpoint token

https://gerrit.wikimedia.org/r/972899

Change 971335 merged by jenkins-bot:

[mediawiki/libs/node-cssjanus@master] Replace WikimediaUI Base with Codex design tokens

https://gerrit.wikimedia.org/r/971335

Change 992387 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/deployment-charts@master] termbox(test): update to 2024-01-22-163619-production

https://gerrit.wikimedia.org/r/992387

Change 992387 merged by jenkins-bot:

[operations/deployment-charts@master] termbox(test): update to 2024-01-22-163619-production

https://gerrit.wikimedia.org/r/992387

Change 992446 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/deployment-charts@master] termbox: update to 2024-01-22-163619-production

https://gerrit.wikimedia.org/r/992446

Change 992446 merged by jenkins-bot:

[operations/deployment-charts@master] termbox: update to 2024-01-22-163619-production

https://gerrit.wikimedia.org/r/992446

Change 992452 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/deployment-charts@master] Revert "termbox: update to 2024-01-22-163619-production"

https://gerrit.wikimedia.org/r/992452

Change 992452 merged by jenkins-bot:

[operations/deployment-charts@master] Revert "termbox: update to 2024-01-22-163619-production"

https://gerrit.wikimedia.org/r/992452

Change 1003400 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/deployment-charts@master] Reapply "termbox: update to 2024-01-22-163619-production"

https://gerrit.wikimedia.org/r/1003400

Change 1003400 merged by jenkins-bot:

[operations/deployment-charts@master] Reapply "termbox: update to 2024-01-22-163619-production"

https://gerrit.wikimedia.org/r/1003400

Volker_E renamed this task from Replace legacy value tokens in WikimediaUI Base, OOUI and downstream to Replace legacy value tokens in Codex, OOUI and downstream; originated in WikimediaUI Base.Feb 14 2024, 11:58 AM
Volker_E updated the task description. (Show Details)

Change #970483 merged by LWatson:

[design/codex@main] tokens: Remove deprecated breakpoint tokens

https://gerrit.wikimedia.org/r/970483

Change #973894 merged by jenkins-bot:

[design/codex@main] tokens: Remove deprecated tokens without replacement

https://gerrit.wikimedia.org/r/973894

Change #1020918 had a related patch set uploaded (by Eric Gardner; author: Eric Gardner):

[mediawiki/core@master] Update Codex from 1.3.6 to 1.4.0

https://gerrit.wikimedia.org/r/1020918

Change #1020918 merged by jenkins-bot:

[mediawiki/core@master] Update Codex from 1.3.6 to 1.4.0

https://gerrit.wikimedia.org/r/1020918